> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete generic wearables connection

> Complete a generic wearables OAuth callback and register the connected account.



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json post /connections/wearables/callback
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /connections/wearables/callback:
    post:
      summary: Complete generic wearables connection
      description: >-
        Complete a generic wearables OAuth callback and register the connected
        account.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_id
                - source_provider
              additionalProperties: false
              properties:
                user_id:
                  type: string
                  minLength: 1
                organization_id:
                  type: string
                  minLength: 1
                source_provider:
                  type: string
                  enum:
                    - whoop
                    - health_connect
                code:
                  type: string
                client_id:
                  type: string
                client_secret:
                  type: string
                redirect_uri:
                  type: string
                external_user_id:
                  type: string
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````